summaryrefslogtreecommitdiff
path: root/mail/pine4/files/pgpdecode
diff options
context:
space:
mode:
authorSatoshi Asami <asami@FreeBSD.org>1996-07-17 03:58:38 +0000
committerSatoshi Asami <asami@FreeBSD.org>1996-07-17 03:58:38 +0000
commitae0e6d258cef22f79cb73a0f2172a4fb18d67ca2 (patch)
treeffd1407cbb75024bfd1cabaa9d90a75b07b4ff55 /mail/pine4/files/pgpdecode
parentUpgrade, 0.4p2 -> 0.5p1. (diff)
Upgrade, 3.91 -> 3.95. This version is supposed to fix a lot of bugs.
Submitted by: "Matthew N. Dodd" <winter@jurai.net>
Diffstat (limited to 'mail/pine4/files/pgpdecode')
-rw-r--r--mail/pine4/files/pgpdecode14
1 files changed, 14 insertions, 0 deletions
diff --git a/mail/pine4/files/pgpdecode b/mail/pine4/files/pgpdecode
new file mode 100644
index 000000000000..86d5a97daa04
--- /dev/null
+++ b/mail/pine4/files/pgpdecode
@@ -0,0 +1,14 @@
+#! /bin/sh
+# ---------- pgpdecode ---------
+# 21.03.96 Roland Rosenfeld <roland@spinnaker.rhein.de>
+#
+# Sun Mar 24 12:01:21 MET 1996 Andreas Klemm <andreas@knobel.gun.de>
+# The tmp files in the original version were world readable for
+# the short time of unpacking, setting suitable umask prevents this
+#
+umask 077
+trap "rm -f /tmp/pgpdecode.???.$$; exit" 0 1 2 15
+(pgp -f > /tmp/pgpdecode.txt.$$) 2>&1 | tee /tmp/pgpdecode.pgp.$$ 1>&2
+sed -e 's/^/| /' /tmp/pgpdecode.pgp.$$
+echo " "
+cat /tmp/pgpdecode.txt.$$